package com.xuqm.server.appmanager.entitys.sys.v1;

import com.xuqm.server.appmanager.entitys.converter.AbstractBaseTimeEntity;
import com.xuqm.server.appmanager.enums.AppStatus;
import jakarta.persistence.*;
import lombok.Data;

@Entity
@Table(name = "releases")
@Data
public class ReleaseEntity extends AbstractBaseTimeEntity {
    private String appId;
    @Enumerated(EnumType.STRING)
    private AppStatus huawei;
    @Enumerated(EnumType.STRING)
    private AppStatus xiaomi;
    @Enumerated(EnumType.STRING)
    private AppStatus meizu;
    @Enumerated(EnumType.STRING)
    private AppStatus rongyao;
    @Enumerated(EnumType.STRING)
    private AppStatus oppo;
    @Enumerated(EnumType.STRING)
    private AppStatus vivo;
    @Enumerated(EnumType.STRING)
    private AppStatus google;
    private String url;
    private String versionCode;
    private String versionName;
}
